%define upstream_name    Dancer2-Plugin-REST
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A plugin for writing RESTful apps with Dancer2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dancer2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Dancer2)
BuildRequires: perl(Dancer2::Core::Request)
BuildRequires: perl(Dancer2::Plugin)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This plugin helps you write a RESTful webservice with Dancer2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE SIGNATURE INSTALL META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.20.0-6.mga10
+ Revision: 2208394
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.20.0-5.mga9
+ Revision: 1818766
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-4.mga8
+ Revision: 1503698
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-3.mga7
+ Revision: 1282621
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.20.0-2.mga7
+ Revision: 1163741
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 1.20.0-1.mga7
+ Revision: 1159953
- new version 1.02

* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-2.mga6
+ Revision: 1024782
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.270.0-1.mga6
+ Revision: 919587
- New version

* Sat Oct 24 2015 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 895028
- imported package perl-Dancer2-Plugin-REST


* Sat Oct 24 2015 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
